This article was created in response to a support issue logged with K2. The content may include typographical errors and may be revised at any time without notice This article is not considered official documentation for K2 software and is provided “as is” with no warranties.

Issue

When running the K2 Cloud Deployment Utility an error is encountered showing
"The Package and Deployment application is not the correct version for the target environment. Please contact K2 to resolve."

Image

Symptoms

You are unable to create or deploy any solution from/to a K2 Cloud Environment.

After downloading the current version of the K2 Cloud Deployment Utility from https://[Environment URL]/Management/remote and running the App, the error is encountered.

Resolution

The issue is caused when the K2 Cloud Deployment Utility is run on an environment that already has a K2 Server installed. The Utility incorrectly identifies the local K2 Version as the App Version, and because this does not match the Cloud Environment, it causes the incorrect version error.

The issue has been logged with the K2 Developers for further investigation.

To successfully use the K2 Cloud Deployment Utility, run it on a PC with no K2 Server components installed.